ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/REPOS_ERICCA/magicsld/IntePoutreVolume.vb
Revision: 48
Committed: Wed Aug 22 21:18:12 2007 UTC (17 years, 9 months ago) by bournival
File size: 1602 byte(s)
Log Message:
On passe aux nouveaux .dll

File Contents

# User Rev Content
1 bournival 48 Imports SolidWorks.Interop
2     Imports SolidWorks.Interop.swconst
3     Imports SolidWorks.Interop.swpublished
4    
5 bournival 40 Public Class InterPoutreVolume
6     Inherits InterAreteFace
7    
8     Public sFaceVolume As SlyFaceVolume
9     'Public sVolume As SlyFaceVol
10    
11    
12     ''' <summary>
13     ''' Sub qui prend les intersections entre les faces et les volumes et qui coupe les volumes
14     ''' </summary>
15     ''' <remarks></remarks>
16     Private Sub DecouperPoutreVolume()
17     ' #2 on procède au découpage de la face
18     Dim sVol As SlyFaceVolume
19    
20     For Each sVol In lst_FaceVolume
21     If sVol.lst_InterPoutre.Count > 0 Then
22     sVol.decouper()
23    
24     ' on met-a-jour l'attribut des conditions aux limites
25     Dim attr As SldWorks.Attribute
26     Dim swent As SldWorks.Entity
27     Dim nom3 As String = Nothing
28     Dim p As SldWorks.Parameter
29     If Not sVol.AttributCL Is Nothing Then
30     nom3 = "CL_" & sVol.nom
31     swent = sVol.SwFace
32     attr = swent.FindAttribute(Intersections.DefAttrConditionLimite, 0) ' si l'attribut existe déjà on pointe dessus.
33    
34     If attr Is Nothing Then attr = Intersections.DefAttrConditionLimite.CreateInstance5(swModel, sVol.SwFace, nom3, 0, 0)
35     p = attr.GetParameter("CL")
36     p.SetStringValue(sVol.condition)
37    
38     End If
39     GererDossiers("Conditions Aux Limites", nom3)
40     End If
41    
42     Next
43     End Sub
44    
45    
46    
47    
48     End Class